Bug 462043 - UI/UX - Don't show passwords do not match warning until the user hits Create
Summary: UI/UX - Don't show passwords do not match warning until the user hits Create
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_users (show other bugs)
Version: master
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2022-11-20 00:17 UTC by Justin Zobel
Modified: 2022-11-22 00:29 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.27


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Zobel 2022-11-20 00:17:01 UTC
The password not matching warning comes up as the user is typing their password in the second box, this is distracting and will always be the case until the user finishes typing their password.

Alternatively if waiting until the Create button is pushed isn't desired. The check could happen when the user stops typing for x seconds or milliseconds.
Comment 1 Bug Janitor Service 2022-11-20 06:14:05 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/2345
Comment 2 Nate Graham 2022-11-22 00:28:01 UTC
Git commit a9c8b1917877d504c8e9c3967c7e60d4f156aa23 by Nate Graham, on behalf of Janet Blackquill.
Committed on 22/11/2022 at 00:21.
Pushed by ngraham into branch 'master'.

kcms/users: debounce the password match message

Users don't need to see that their passwords don't match until
after they stop typing.

M  +10   -1    kcms/users/package/contents/ui/ChangePassword.qml
M  +10   -1    kcms/users/package/contents/ui/CreateUser.qml
A  +18   -0    kcms/users/package/contents/ui/Debouncer.qml     [License: LGPL(3+eV) LGPL(v3.0) LGPL(v2.1)]

https://invent.kde.org/plasma/plasma-workspace/commit/a9c8b1917877d504c8e9c3967c7e60d4f156aa23